import { prompts } from './prompts.js';
import { OnGoalAchievedFunction } from '../../functions/index.js';
import { Agent, AgentConfig } from '../utils/index.js';
export class PlannerAgent extends Agent {
    constructor(context) {
        const onGoalAchievedFn = new OnGoalAchievedFunction();
        super(new AgentConfig(onGoalAchievedFn => prompts(onGoalAchievedFn), [onGoalAchievedFn], undefined, functionCalled => functionCalled.name === onGoalAchievedFn.name, true), context);
    }
}
